Bug 119583 - Cannot build openoffice.org rpm from source
Cannot build openoffice.org rpm from source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 12:14 EST by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 09:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sammy 2004-03-31 12:14:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; X11; en_US, en) (KHTML, like Gecko)

Description of problem:
I am trying to rebuild the rpm but I get many many parallel processes
until there are so many that the system hangs. I have set the number
of cpu's to one in the spec file but the problem seems to come from
the ooo-build script. I also used the configure option to set the number
of cpu's with no help.

I would like to be able to do this so that I can build ooo-1.1.1 with java
enabled. I hope we will see this in the development tree soon!

PS: I am running smp kernel one a single cpu machine with hyperthreading

Thanks

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-32

How reproducible:
Always

Steps to Reproduce:
1.install source rpm
2.try to rpmbuild
3.
    

Additional info:
Comment 1 Sammy 2004-04-01 15:31:07 EST
Many years ago I had something similar which had to do with make. I am 
using everything from Fedora-devel tree. Essentially when I execute build-ooo 
script it starts duplicating itself for ever AND a really funny things is that if I 
source the setup script it also starts many copies of build-ooo and I can't 
even figure out the connection! Am I doing something stupid? 
-------------------------------------------------------------------------------------- 
root     15762 15733  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15791 15762  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15820 15791  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15849 15820  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15878 15849  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15907 15878  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15937 15907  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15967 15937  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     15996 15967  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16025 15996  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16055 16025  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16084 16055  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16113 16084  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16142 16113  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16172 16142  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16201 16172  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16230 16201  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16259 16230  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16289 16259  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16318 16289  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
root     16347 16318  0 14:30 pts/177  00:00:00 /bin/bash ./build-ooo build-ooo.rh 
font-mu 
r 
Comment 2 Dan Williams 2004-04-01 15:53:36 EST
What exact commands are you using to build from the SRPM?
Comment 3 Sammy 2004-04-01 16:03:33 EST
Found it...... it was bash_completion, which I have installed for convenience! 
When I removed that rpm it goes through! 

Note You need to log in before you can comment on or make changes to this bug.